<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Stock](./bitburner.stock.md) &gt; [nextUpdate](./bitburner.stock.nextupdate.md)

## Stock.nextUpdate() method

Sleep until the next Stock Market price update has happened.

**Signature:**

```typescript
nextUpdate(): Promise<number>;
```
**Returns:**

Promise&lt;number&gt;

Promise that resolves to the number of milliseconds of Stock Market time that were processed in the previous update (always 6000 ms).

## Remarks

RAM cost: 0 GB

The amount of real time spent asleep between updates can vary due to "bonus time" (usually 4 seconds - 6 seconds).

## Example


```js
while (true) {
  await ns.stock.nextUpdate();
  // Manage your stock portfolio
}
```

